ExecutionType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: ExecutionType

Package org.apache.hadoop.yarn.api.records

# Enum Class ExecutionType

java.lang.Object
java.lang.Enum<ExecutionType>
org.apache.hadoop.yarn.api.records.ExecutionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutionType>`, `Constable`

@Public @Evolving public enum ExecutionType extends Enum<ExecutionType>
Container property encoding execution semantics.

The execution types are the following:

- `GUARANTEED` - this container is guaranteed to start its execution, once the corresponding start container request is received by an NM.
- `OPPORTUNISTIC` - the execution of this container may not start immediately at the NM that receives the corresponding start container request (depending on the NM's available resources). Moreover, it may be preempted if it blocks a GUARANTEED container from being executed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GUARANTEED`
  `OPPORTUNISTIC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecutionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExecutionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GUARANTEED

    public static final ExecutionType GUARANTEED

  - ### OPPORTUNISTIC

    public static final ExecutionType OPPORTUNISTIC

- ## Method Details

  - ### values

    public static ExecutionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExecutionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null